| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | Private Member Functions | List of all members
GaudiConfig.ControlFlow.AndNode Class Reference
Inheritance diagram for GaudiConfig.ControlFlow.AndNode:
[legend]
Collaboration diagram for GaudiConfig.ControlFlow.AndNode:
[legend]

## Public Member Functions
def | __init__ (self, lhs, rhs)
def | __repr__ (self)
Public Member Functions inherited from GaudiConfig.ControlFlow.ControlFlowNode
def | __and__ (self, rhs)
def | __or__ (self, rhs)
def | __invert__ (self)
def | __rshift__ (self, rhs)
def | visitNode (self, visitor)
def | __eq__ (self, other)
def | getFullName (self)

## Public Attributes
| lhs
| rhs

## Private Member Functions
def | _visitSubNodes (self, visitor)

## Detailed Description

    And operation between control flow nodes.

Definition at line 104 of file ControlFlow.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def GaudiConfig.ControlFlow.AndNode.__init__ | ( |  | self,
|  |  | lhs,
|  |  | rhs
| ) |  |

Definition at line 109 of file ControlFlow.py.

109 def __init__(self, lhs, rhs):
110 self.lhs = lhs
111 self.rhs = rhs
112

## Member Function Documentation

## ◆ __repr__()

def GaudiConfig.ControlFlow.AndNode.__repr__ | ( |  | self | ) |

Definition at line 113 of file ControlFlow.py.

113 def __repr__(self):
114 return "(%r & %r)" % (self.lhs, self.rhs)
115
GaudiPython.HistoUtils.__repr__
__repr__
Definition: HistoUtils.py:508

## ◆ _visitSubNodes()

def GaudiConfig.ControlFlow.AndNode._visitSubNodes | ( |  | self,
|  |  | visitor
| ) |  |
| private

Reimplemented from GaudiConfig.ControlFlow.ControlFlowNode.

Definition at line 116 of file ControlFlow.py.

116 def _visitSubNodes(self, visitor):
117 self.lhs.visitNode(visitor)
118 self.rhs.visitNode(visitor)
119
120

## Member Data Documentation

## ◆ lhs

GaudiConfig.ControlFlow.AndNode.lhs

Definition at line 110 of file ControlFlow.py.

## ◆ rhs

GaudiConfig.ControlFlow.AndNode.rhs

Definition at line 111 of file ControlFlow.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiConfig/ControlFlow.py